## python-repoze.lru 0.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/repozelru.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/repozelru.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/repozelru"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/repozelru"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-repoze.lru 0.3

=== debian/changelog ===
python-repoze.lru (0.3-2) unstable; urgency=low

  * Switch to dh_python2.
  * Bump Standards-Version 3.9.2 (with no changes).

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 12:40:57 +0900

python-repoze.lru (0.3-1) unstable; urgency=low

  * Initial release (Closes: #604996)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 26 Nov 2010 10:23:12 +0900

=== debian/control ===
Source: python-repoze.lru
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-all
Standards-Version: 3.9.2
Homepage: http://www.repoze.org/
#Vcs-Git: git://git.debian.org/collab-maint/python-repoze.lru.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-repoze.lru.git;a=summary

Package: python-repoze.lru
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: tiny LRU cache implementation and decorator
 repoze.lru is a LRU (least recently used) cache implementation. Keys and
 values that are not used frequently will be evicted from the cache faster
 than keys and values that are used frequently.

## python-repoze.lru 0.4

=== debian/changelog ===
python-repoze.lru (0.4-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 11:37:18 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-all
 Standards-Version: 3.9.2
 Homepage: http://www.repoze.org/
-#Vcs-Git: git://git.debian.org/collab-maint/python-repoze.lru.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-repoze.lru.git;a=summary
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-repoze.lru/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-repoze.lru/trunk/
 
 Package: python-repoze.lru
 Architecture: all

## python-repoze.lru 0.5

=== debian/changelog ===
python-repoze.lru (0.5-2) unstable; urgency=low

  * debian/source/options: Ignore egg-file changes. (Closes: #671111)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 21:36:49 +0900

python-repoze.lru (0.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version 3.9.3 (with no changes).

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 09 Apr 2012 10:24:06 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.repoze.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-repoze.lru/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-repoze.lru/trunk/

## python-repoze.lru 0.6

=== debian/changelog ===
python-repoze.lru (0.6-6) unstable; urgency=medium

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

  [ TANIGUCHI Takaki ]
  * debian/watch: Use pypy.debian.net.
  * Bump Standards-Version 3.9.6
  * debian/rules: Clean up.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 23:28:57 +0900

python-repoze.lru (0.6-5) unstable; urgency=medium

  * Team upload.
  * Add Breaks: python-repoze.who (<< 1.0.18-4~) to avoid issues with
    dh_python2/python-support conversion (Closes: #744367) 
  * Remove pointless python-Provides

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 May 2014 02:34:11 -0400

python-repoze.lru (0.6-4) unstable; urgency=medium

  * The tests appear to pass now, revert 0.6-3. (Closes: #739893)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Feb 2014 09:44:56 +0000

python-repoze.lru (0.6-3) unstable; urgency=low

  * Add patches that mark 0.1s timing tests expect failure, as python
    sleep can complete before requested time elapses.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 09:09:54 +0100

python-repoze.lru (0.6-2) unstable; urgency=low

  * Team upload
  * Add python3 package (Closes: #714784)
  * Bump debhelper to 9, standards to 3.8.4
  * Install upstream changelog under proper name

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 02 Jul 2013 20:38:00 +0100

python-repoze.lru (0.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 08 May 2013 21:01:13 +0900

=== debian/control ===
Source: python-repoze.lru
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9), python-setuptools, python-all, python3-setuptools, python3-all
Standards-Version: 3.9.6
X-Python3-Versions: >= 3.2
Homepage: http://www.repoze.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-repoze.lru.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-repoze.lru.git

Package: python-repoze.lru
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Breaks: python-repoze.who (<< 1.0.18-4~)
Description: tiny LRU cache implementation and decorator
 repoze.lru is a LRU (least recently used) cache implementation. Keys and
 values that are not used frequently will be evicted from the cache faster
 than keys and values that are used frequently.
 . 
 This is the Python 2 version of the package.

Package: python3-repoze.lru
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: tiny LRU cache implementation and decorator for Python 3
 repoze.lru is a LRU (least recently used) cache implementation. Keys and
 values that are not used frequently will be evicted from the cache faster
 than keys and values that are used frequently.
 . 
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#PYTHON2:=$(shell pyversions -r)
#PYTHON3:=$(shell py3versions -r)
#py3sdo=set -e; $(foreach py, $(PYTHON3), $(py) $(1);)
#pyalldo=set -e; $(foreach py, $(PYTHON2) $(PYTHON3), $(py) $(1);)

export PYBUILD_NAME=repoze.lru
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

#override_dh_auto_build:
#	dh_auto_build
#	$(call py3sdo, setup.py build)

#override_dh_auto_install:
#	dh_auto_install
#	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

#override_dh_auto_clean:
#	dh_auto_clean
#	rm -rf build *.egg-info

#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#override_dh_auto_test:
#	$(call pyalldo, setup.py test)
#endif

#override_dh_installchangelogs:
#	dh_installchangelogs CHANGES.txt

=== debian/watch ===
version=3
http://pypi.debian.net/repoze.lru/repoze.lru-(.*)\.tar\.gz

## python-repoze.lru 0.7

=== debian/changelog ===
python-repoze.lru (0.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:34:03 -0400

python-repoze.lru (0.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938131

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 16:52:05 -0500

python-repoze.lru (0.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * New upstream version 0.7
  * debian/rules: clean up comment
  * debian/compat: 11
  * Bump Standards-Vertion to 4.1.3
  * debian/rules:
    - Add dh-python to B-D.
    - Change Priority to optional.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Feb 2018 11:32:44 +0900

=== debian/control ===
Source: python-repoze.lru
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13)
	, python3-setuptools
	, python3-all
	, dh-python
Standards-Version: 4.1.3
Homepage: http://www.repoze.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-repoze.lru.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-repoze.lru

Package: python3-repoze.lru
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: tiny LRU cache implementation and decorator for Python 3
 repoze.lru is a LRU (least recently used) cache implementation. Keys and
 values that are not used frequently will be evicted from the cache faster
 than keys and values that are used frequently.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3
https://pypi.debian.net/repoze.lru/repoze.lru-(.*)\.tar\.gz
